ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

BufWrite

# Documentation

data BufHandle

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle

bPutChar :: BufHandle -> Char -> IO ()

bPutStr :: BufHandle -> String -> IO ()

bPutFS :: BufHandle -> FastString -> IO ()

bPutFZS :: BufHandle -> FastZString -> IO ()

bPutLitString :: BufHandle -> LitString -> FastInt -> IO ()

bFlush :: BufHandle -> IO ()